# GrowlNotifyTask

Extends \Task

Growl notification task for Phing, the PHP build tool.

PHP version 5

category | Tasks
package | phing.tasks.ext
version | $Id: 50d0d2d926e6a51ab78d6801407e90f020dcbad9 $
author | Laurent Laville pear@laurent-laville.org
license | http://www.opensource.org/licenses/bsd-license.php BSD License
link | https://github.com/llaville/phing-GrowlNotifyTask

### Methods

## Initializes task with default options

    __construct(\Net_Growl $growl = null)

### Arguments

#### $growl

`\Net_Growl`

(optional) mock instance

## Returns the textual description of the task

    getDescription() : string

inherited

### Response

`string`

The text description of the task

## Returns the location within the buildfile this task occurs. Used by {@link BuildException} to give detailed error messages.

    getLocation() : \Location

inherited

### Response

`\Location`

The location object describing the position of this task within the buildfile.

## Returns the owning target of this task.

    getOwningTarget() : \Target

inherited

### Response

`\Target`

The target object that owns this task

## Returns a reference to current project

    getProject() : \Project

inherited

### Response

`\Project`

Reference to current porject object

## Returns a name

    getRegisterSlot(string $slotName) : \RegisterSlot

inherited

### Arguments

#### $slotName

`string`

### Response

`\RegisterSlot`

## Returns the wrapper object for runtime configuration

    getRuntimeConfigurableWrapper() : \RuntimeConfigurable

inherited

### Response

`\RuntimeConfigurable`

The wrapper object used by this task

## Returns the name of task, used only for log messages

    getTaskName() : string

inherited

### Response

`string`

Name of this task

## Returns the name of the task under which it was invoked, usually the XML tagname

    getTaskType() : string

inherited

### Response

`string`

The type of this task (XML Tag)

## Called by the parser to let the task initialize properly.

    init()

inherited

Should throw a BuildException if something goes wrong with the build

This is abstract here, but may not be overloaded by subclasses.

throws |

## Logs a message with the given priority.

    log(string $msg, integer $level = \Project::MSG_INFO) : void

inherited

### Arguments

#### $msg

`string`

The message to be logged.

#### $level

`integer`

The message's priority at this message should have

## Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice.

    main()

inherited abstract

Should throw a BuildException if someting goes wrong with the build

This is abstract here. Must be overloaded by real tasks.

## Configure this task if it hasn't been done already.

    maybeConfigure()

inherited

## Perfrom this task

    perform()

inherited

throws |

## The icon of the application being registered.

    setAppicon(string $icon = '') : void

Must be a valid file type (png, jpg, gif, ico). Can be any of the following:

- absolute url (http://domain/image.png)
- absolute file path (c:\temp\image.png)
- relative file path (.\folder\image.png) (relative file paths must start with a dot and are relative to GrowlNotify's phing task location

throws |

### Arguments

#### $icon

`string`

Icon of the application

## Sets a textual description of the task

    setDescription(string $desc)

inherited

### Arguments

#### $desc

`string`

The text describing the task

## The host address to send the notification to.

    setHost(string $host = '127.0.0.1') : void

If any value other than 'localhost' or '127.0.0.1' is provided, the host is considered a remote host and the "pass" attribute must also be provided. Default: 127.0.0.1

throws |

### Arguments

#### $host

`string`

Remote host name/ip Default: 127.0.0.1

## The icon to show for the notification.

    setIcon(string $icon = '') : void

Must be a valid file type (png, jpg, gif, ico). Can be any of the following:

- absolute url (http://domain/image.png)
- absolute file path (c:\temp\image.png)
- relative file path (.\folder\image.png) (relative file paths must start with a dot and are relative to GrowlNotify's phing task location

throws |

### Arguments

#### $icon

`string`

Icon of the message

## Sets the location within the buildfile this task occurs. Called by the parser to set location information.

    setLocation(\Location $location)

inherited

### Arguments

#### $location

`\Location`

The location object describing the position of this task within the buildfile.

## The notification's text is required.

    setMessage(string $message = '') : void

Use \n to specify a line break.

throws |

### Arguments

#### $message

`string`

Notification's text

## Defines the name of the application sending the notification

    setName(string $name = '') : void

throws |

### Arguments

#### $name

`string`

(optional) Name of the application that appears in your Growl preferences Default: "Growl for Phing"

## The notification name/type

    setNotification(string $notification = '') : void

throws |

### Arguments

#### $notification

`string`

Name/type Default: "General Notification"

## Sets the owning target this task belongs to.

    setOwningTarget(\Target $target)

inherited

### Arguments

#### $target

`\Target`

## The password required to send notifications.

    setPassword(string $password = '') : void

A password is required to send a request to a remote host. If host attribute is specified and is any value other than 'localhost' or '127.0.0.1', then "pass" attribute is also required. Default: no password

throws |

### Arguments

#### $password

`string`

Password to send request to a remote host

## The notification priority.

    setPriority(string $priority = '') : void

Valid values are : low, moderate, normal, high, emergency Default: normal

throws |

### Arguments

#### $priority

`string`

Notification priority Default: normal

## References the project to the current component.

    setProject(\Project $project) : void

inherited

### Arguments

#### $project

`\Project`

The reference to the current project

## The protocol (and port) to send the notification to.

    setProtocol(string $protocol = '') : void

With TCP (GNTP) protocol, port is always 23053 With UDP protocol, port is always 9887 Default: 23053

throws |

### Arguments

#### $protocol

`string`

Protocol to use to send request to remote host Default: gntp

## Sets the wrapper object this task should use for runtime configurable elements.

    setRuntimeConfigurableWrapper(\RuntimeConfigurable $wrapper)

inherited

### Arguments

#### $wrapper

`\RuntimeConfigurable`

The wrapper object this task should use

## Indicates if the notification should be sticky

    setSticky(boolean $sticky = true) : void

### Arguments

#### $sticky

`boolean`

(optional) Notification should be sticky

## Sets the name of this task for log messages

    setTaskName(string $name) : string

inherited

### Arguments

#### $name

`string`

### Response

`string`

A string representing the name of this task for log

## Sets the type of the task. Usually this is the name of the XML tag

    setTaskType( $name)

inherited

### Arguments

#### $name

``

## The notification's title.

    setTitle(string $title = '') : void

Use \n to specify a line break.

throws |

### Arguments

#### $title

`string`

(optional) Notification's title Default: GrowlNotify

### Properties

## growl

    growl :

### Type(s)

``

## name

    name :

### Type(s)

``

## sticky

    sticky :

### Type(s)

``

## message

    message :

### Type(s)

``

## title

    title :

### Type(s)

``

## notification

    notification :

### Type(s)

``

## appicon

    appicon :

### Type(s)

``

## host

    host :

### Type(s)

``

## password

    password :

### Type(s)

``

## priority

    priority :

### Type(s)

``

## protocol

    protocol :

### Type(s)

``

## icon

    icon :

### Type(s)

``

## Owning Target object

    target : \Target

inherited

var |

### Type(s)

`\Target`

## Description of the task

    description : string

inherited

var |

### Type(s)

`string`

## Internal taskname (req)

    taskType : string

inherited

var |

### Type(s)

`string`

## Taskname for logger

    taskName : string

inherited

var |

### Type(s)

`string`

## Stored buildfile location

    location : \Location

inherited

var |

### Type(s)

`\Location`

## Wrapper of the task

    wrapper : \RuntimeConfigurable

inherited

var |

### Type(s)

`\RuntimeConfigurable`

## Holds a reference to the project that a project component (a task, a target, etc.) belongs to

    project : \Project

inherited

var | A reference to the current project instance

### Type(s)

`\Project`